@font-face{
    font-family: possum;
    src: url(./font/possum.ttf);
}

*{
    box-sizing: border-box;
}

body{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    padding: 0;
    margin: 0;
}

main{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
}

#ww{
    position: fixed;
    border: 1px dashed;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 11cm;
    width: 25cm;
    overflow: hidden;
    transition: transform 1s linear;
    z-index: 0;
}

#bgImg{
    z-index: -1;
    position: relative;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#textContainer{
    position: absolute;
    height: 100%;
    width: 100%;
}

#text{
    position: relative;
    padding: 0;
    float: right;
    margin-right: .2cm;
    margin-top: .2cm;
    font-weight: bold;
    font-size: .6cm;
    color: black;
    font-family: possum;
}

#name{
    margin: 0;
}

#side{
    float: right;
    margin: 0;
}

.section{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.section:hover{
    background: rgb(138, 138, 138);
    scale: 1.1;
}

.section svg{
    scale: 2.5;
}

#iconTurn{
    transform: rotateZ(180deg);;
}

#stepContainer{
    position: absolute;
    width: 100%;
    height: 2.7cm;
    transform: translateY(calc(5.5cm - 50%));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: .9cm;
}

#stepContainer2{
    position: absolute;
    width: 100%;
    height: 2.7cm;
    transform: translateY(calc(5.5cm - 50%));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: .9cm;
    z-index: 3;
}

#startR{
    border: 1px dashed;
    position: absolute;
    width: 5.4cm;
    height: 2.3cm;
}

#startR:hover{
    cursor: pointer;
    background-color: rgba(150, 150, 150, 0.2);
    border: 2px dashed;
}

#sbtn{
    display: flex;
    justify-content: center;
    align-items: center;
    scale: 2;
}

#addIcon{
    scale: 2;
}

.stepP{
    position: relative;
    float: right;
    width: 1.2cm;
    height: 1cm;
    z-index: 3;
    translate: 10% 30%;
}

.stepPRC{
    position: absolute;
    height: 2.7cm;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row-reverse;
    max-width: 6.3cm;
    padding: .3cm;
    transform: translateX(-3px);
}

.stepR{
    position: relative;
    width: 5.35cm;
    height: 1.6cm;
    transform: translateX(.15cm) translateY(-.125cm);
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    overflow: hidden;
}

.stepR > img{
    max-height: 100%;
    max-width: 100%;
}

.stepPr{
    min-width: .65cm;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: end;
}

.stepPr2{
    width: .35cm;
    height: 50%;
    transform: translateY(.3cm);
    background-color: rgb(255, 238, 218);
    border: 1px dotted;
    box-shadow: 1px 1px 1px 1px rgb(45, 45, 45);
    display: flex;
    align-items: center;
    flex-direction: column-reverse;
    row-gap: .07cm;
    bottom: 1px;
}

.PrImg{
    scale: 1.1;
    width: .7cm;
    height: .7cm;
    transform: translateY(-.3cm);
}

#clear{
    cursor: pointer;
    position: relative;
    width: 100px;
    height: 40px;
    background-color: red;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: box-shadow .5s ease-out;
    transform: translateY(300px);
}

#clear:hover{
    box-shadow: 0px 0px 4px 4px rgb(254, 137, 116) inset;
}